@()(implicit lang:Lang)

<div ng-controller="queueSelectCtrl">
<accordion close-others="oneAtATime">
<accordion-group is-open="status.opened" is-disabled="status.disabled" >
    <accordion-heading><span class="glyphicon glyphicon-list-alt"></span> @Messages("ccmanager.queueSelectionTitle") </accordion-heading>
<div id="queueSelection" class="row queue-selection vertical-align">
    <div class="col-md-1">
        <div class="form-group">
            <div class="input-group input-sm">
                <div class="input-group-addon input-sm"><span class="glyphicon glyphicon-search"></span></div>
                <input  id="queryQueue" ng-model="queryQueue" class="form-control input-sm" type="text" placeholder="@Messages("ccmanager.queue")">
            </div>
        </div>
    </div>
    <div class="col-md-11">
        <div class="col-md-2" ng-repeat="queue in queues | filter:queryQueue | orderBy:'displayName'">
            <div class="checkbox input-sm text-muted queueSelect">
                <label for="selectqueue{{queue.id}}" ng-class="{'text-primary':isSelected(queue.id)}">
                    <input id="selectqueue{{queue.id}}" type="checkbox" ng-checked="isSelected(queue.id)" ng-click="toggleQueue(queue.id)">{{queue.displayName}}</label>
            </div>
        </div>
    </div>
</div>
</accordion-heading>
</accordion-group>
</accordion>
</div>